package com.gyh.wifidata;

import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.ArrayAdapter;
import android.widget.AutoCompleteTextView;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.NotificationCompat;
import com.gyh.wifidata.common.NettyServer;
import com.gyh.wifidata.common.NettyServerHandler;
import com.gyh.wifidata.util.AppConfig;
import com.gyh.wifidata.util.PreferencesUtil;
import com.gyh.wifidata.util.ThreadManager;
import com.gyh.wifidata.view.Logger;
import com.gyh.wifidata.view.PermissionActivi;
import com.gyh.wifidata.view.SettingsActivity;
import java.util.HashMap;
import java.util.List;
import kotlin.Metadata;
import kotlin.TypeCastException;
import kotlin.Unit;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.text.Charsets;
/* compiled from: MainActivity.kt */
@Metadata(bv = {1, 0, 3}, d1 = {"\u0000Z\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010 \n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0005\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u000e\u001a\u00020\u000f2\b\u0010\u0010\u001a\u0004\u0018\u00010\u0011H\u0002J\b\u0010\u0012\u001a\u00020\u000fH\u0002J\u0010\u0010\u0013\u001a\u00020\u000f2\u0006\u0010\u0014\u001a\u00020\u0015H\u0002J\b\u0010\u0016\u001a\u00020\u0015H\u0002J\u0012\u0010\u0017\u001a\u00020\u000f2\b\u0010\u0018\u001a\u0004\u0018\u00010\u0019H\u0014J\u0010\u0010\u001a\u001a\u00020\u00152\u0006\u0010\u001b\u001a\u00020\u001cH\u0016J\u0010\u0010\u001d\u001a\u00020\u00152\u0006\u0010\u001e\u001a\u00020\u001fH\u0016J\u0010\u0010 \u001a\u00020\u000f2\u0006\u0010!\u001a\u00020\u0004H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00040\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082\u000e¢\u0006\u0002\n\u0000R\u0014\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\u00040\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\f\u001a\u0004\u0018\u00010\rX\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006\""}, d2 = {"Lcom/gyh/wifidata/MainActivity;", "Landroidx/appcompat/app/AppCompatActivity;", "()V", "TAG", "", "hostCountries", "", "nettyServer", "Lcom/gyh/wifidata/common/NettyServer;", "playCount", "", "portCountries", "preferences", "Lcom/gyh/wifidata/util/PreferencesUtil;", "addListener", "", "serverHandler", "Lcom/gyh/wifidata/common/NettyServerHandler;", "init", "isEnabled", "disable", "", "onConnect", "onCreate", "savedInstanceState", "Landroid/os/Bundle;", "onCreateOptionsMenu", "menu", "Landroid/view/Menu;", "onOptionsItemSelected", "menuItem", "Landroid/view/MenuItem;", "showAlertDialog", NotificationCompat.CATEGORY_MESSAGE, "app_debug"}, k = 1, mv = {1, 1, 16})
/* loaded from: classes2.dex */
public final class MainActivity extends AppCompatActivity {
    private final String TAG;
    private HashMap _$_findViewCache;
    private List<String> hostCountries;
    private NettyServer nettyServer;
    private byte playCount;
    private List<String> portCountries;
    private PreferencesUtil preferences;

    public void _$_clearFindViewByIdCache() {
        HashMap hashMap = this._$_findViewCache;
        if (hashMap != null) {
            hashMap.clear();
        }
    }

    public View _$_findCachedViewById(int i) {
        if (this._$_findViewCache == null) {
            this._$_findViewCache = new HashMap();
        }
        View view = (View) this._$_findViewCache.get(Integer.valueOf(i));
        if (view == null) {
            View findViewById = findViewById(i);
            this._$_findViewCache.put(Integer.valueOf(i), findViewById);
            return findViewById;
        }
        return view;
    }

    public MainActivity() {
        String simpleName = getClass().getSimpleName();
        Intrinsics.checkExpressionValueIsNotNull(simpleName, "this.javaClass.simpleName");
        this.TAG = simpleName;
        this.nettyServer = new NettyServer();
        this.hostCountries = CollectionsKt.emptyList();
        this.portCountries = CollectionsKt.emptyList();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0083, code lost:
        if (r0 != null) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0066, code lost:
        if (r0 != null) goto L8;
     */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onCreate(Bundle savedInstanceState) {
        List<String> emptyList;
        List<String> emptyList2;
        super.onCreate(savedInstanceState);
        setContentView(com.gyh.stm32zy.R.layout.wifi_data);
        Logger.init(getApplication(), new Logger.OnSendClickListener() { // from class: com.gyh.wifidata.MainActivity$onCreate$1
            @Override // com.gyh.wifidata.view.Logger.OnSendClickListener
            public final void onClick(View $noName_0, byte[] data) {
                NettyServer nettyServer;
                nettyServer = MainActivity.this.nettyServer;
                NettyServerHandler serverHandler = nettyServer.getServerInitializer().getServerHandler();
                Intrinsics.checkExpressionValueIsNotNull(data, "data");
                serverHandler.send(new String(data, Charsets.UTF_8));
            }
        });
        init();
        AutoCompleteTextView ip = (AutoCompleteTextView) _$_findCachedViewById(R.id.ip);
        Intrinsics.checkExpressionValueIsNotNull(ip, "ip");
        ip.setEnabled(false);
        AutoCompleteTextView port = (AutoCompleteTextView) _$_findCachedViewById(R.id.port);
        Intrinsics.checkExpressionValueIsNotNull(port, "port");
        port.setEnabled(false);
        if (!PermissionActivi.permissionCheck(this)) {
            PermissionActivi.init(this);
        }
        PreferencesUtil preferencesUtil = new PreferencesUtil(this);
        this.preferences = preferencesUtil;
        if (preferencesUtil != null) {
            String string = getString(com.gyh.stm32zy.R.string.host);
            Intrinsics.checkExpressionValueIsNotNull(string, "getString(R.string.host)");
            emptyList = preferencesUtil.getAllRecommend(string);
        }
        emptyList = CollectionsKt.emptyList();
        this.hostCountries = emptyList;
        PreferencesUtil preferencesUtil2 = this.preferences;
        if (preferencesUtil2 != null) {
            String string2 = getString(com.gyh.stm32zy.R.string.port);
            Intrinsics.checkExpressionValueIsNotNull(string2, "getString(R.string.port)");
            emptyList2 = preferencesUtil2.getAllRecommend(string2);
        }
        emptyList2 = CollectionsKt.emptyList();
        this.portCountries = emptyList2;
    }

    private final void init() {
        ((Button) _$_findCachedViewById(R.id.connect)).setOnClickListener(new View.OnClickListener() { // from class: com.gyh.wifidata.MainActivity$init$1
            @Override // android.view.View.OnClickListener
            public final void onClick(View it) {
                boolean onConnect;
                onConnect = MainActivity.this.onConnect();
                if (onConnect) {
                    MainActivity.this.isEnabled(false);
                }
            }
        });
        ((Button) _$_findCachedViewById(R.id.quit)).setOnClickListener(new View.OnClickListener() { // from class: com.gyh.wifidata.MainActivity$init$2
            @Override // android.view.View.OnClickListener
            public final void onClick(View it) {
                NettyServer nettyServer;
                nettyServer = MainActivity.this.nettyServer;
                nettyServer.shutdown();
                MainActivity.this.finish();
            }
        });
        ((Button) _$_findCachedViewById(R.id.off)).setOnClickListener(new View.OnClickListener() { // from class: com.gyh.wifidata.MainActivity$init$3

            /* compiled from: MainActivity.kt */
            @Metadata(bv = {1, 0, 3}, d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 1, 16})
            /* renamed from: com.gyh.wifidata.MainActivity$init$3$1  reason: invalid class name */
            /* loaded from: classes2.dex */
            static final class AnonymousClass1 extends Lambda implements Function0<Unit> {
                final /* synthetic */ AlertDialog $dialog;

                /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                AnonymousClass1(AlertDialog alertDialog) {
                    super(0);
                    this.$dialog = alertDialog;
                }

                @Override // kotlin.jvm.functions.Function0
                public /* bridge */ /* synthetic */ Unit invoke() {
                    invoke2();
                    return Unit.INSTANCE;
                }

                @Override // kotlin.jvm.functions.Function0
                /* renamed from: invoke  reason: avoid collision after fix types in other method */
                public final void invoke2() {
                    NettyServer nettyServer;
                    nettyServer = MainActivity.this.nettyServer;
                    nettyServer.shutdown();
                    this.$dialog.cancel();
                }
            }

            @Override // android.view.View.OnClickListener
            public final void onClick(View it) {
                AlertDialog dialog = AppConfig.Companion.showWaitingDialog(MainActivity.this);
                ThreadManager.INSTANCE.execute(new AnonymousClass1(dialog));
                MainActivity.this.isEnabled(true);
            }
        });
        ((AutoCompleteTextView) _$_findCachedViewById(R.id.port)).setOnEditorActionListener(new TextView.OnEditorActionListener() { // from class: com.gyh.wifidata.MainActivity$init$4
            @Override // android.widget.TextView.OnEditorActionListener
            public final boolean onEditorAction(TextView $noName_0, int actionId, KeyEvent $noName_2) {
                boolean onConnect;
                if (actionId == 2) {
                    onConnect = MainActivity.this.onConnect();
                    if (onConnect) {
                        MainActivity.this.isEnabled(false);
                    }
                    return true;
                }
                return false;
            }
        });
        isEnabled(true);
        ArrayAdapter adapter = new ArrayAdapter(this, 17367043, this.hostCountries);
        ((AutoCompleteTextView) _$_findCachedViewById(R.id.ip)).setAdapter(adapter);
        ArrayAdapter adapter2 = new ArrayAdapter(this, 17367044, this.portCountries);
        ((AutoCompleteTextView) _$_findCachedViewById(R.id.port)).setAdapter(adapter2);
        AutoCompleteTextView port = (AutoCompleteTextView) _$_findCachedViewById(R.id.port);
        Intrinsics.checkExpressionValueIsNotNull(port, "port");
        port.setThreshold(1);
        ((Button) _$_findCachedViewById(R.id.send1)).setOnClickListener(new View.OnClickListener() { // from class: com.gyh.wifidata.MainActivity$init$7
            @Override // android.view.View.OnClickListener
            public final void onClick(View it) {
                NettyServer nettyServer;
                nettyServer = MainActivity.this.nettyServer;
                nettyServer.getServerInitializer().getServerHandler().send("jr@");
            }
        });
        ((Button) _$_findCachedViewById(R.id.send2)).setOnClickListener(new View.OnClickListener() { // from class: com.gyh.wifidata.MainActivity$init$8
            @Override // android.view.View.OnClickListener
            public final void onClick(View it) {
                NettyServer nettyServer;
                nettyServer = MainActivity.this.nettyServer;
                nettyServer.getServerInitializer().getServerHandler().send("zdzm@");
            }
        });
        ((Button) _$_findCachedViewById(R.id.send3)).setOnClickListener(new View.OnClickListener() { // from class: com.gyh.wifidata.MainActivity$init$9
            @Override // android.view.View.OnClickListener
            public final void onClick(View it) {
                NettyServer nettyServer;
                nettyServer = MainActivity.this.nettyServer;
                nettyServer.getServerInitializer().getServerHandler().send("sdzm@");
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0086, code lost:
        if (r3 != null) goto L13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x009e, code lost:
        if (r3 != null) goto L17;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final boolean onConnect() {
        List<String> emptyList;
        List<String> emptyList2;
        AutoCompleteTextView ip = (AutoCompleteTextView) _$_findCachedViewById(R.id.ip);
        Intrinsics.checkExpressionValueIsNotNull(ip, "ip");
        String host = ip.getText().toString();
        AutoCompleteTextView port = (AutoCompleteTextView) _$_findCachedViewById(R.id.port);
        Intrinsics.checkExpressionValueIsNotNull(port, "port");
        String port2 = port.getText().toString();
        boolean succeed = this.nettyServer.connect(host, port2, this, new MainActivity$onConnect$succeed$1(this));
        if (succeed) {
            addListener(this.nettyServer.getServerInitializer().getServerHandler());
            PreferencesUtil preferencesUtil = this.preferences;
            if (preferencesUtil != null) {
                String string = getString(com.gyh.stm32zy.R.string.host);
                Intrinsics.checkExpressionValueIsNotNull(string, "getString(R.string.host)");
                preferencesUtil.setRecommend(host, string);
            }
            PreferencesUtil preferencesUtil2 = this.preferences;
            if (preferencesUtil2 != null) {
                String valueOf = String.valueOf(Integer.parseInt(port2));
                String string2 = getString(com.gyh.stm32zy.R.string.port);
                Intrinsics.checkExpressionValueIsNotNull(string2, "getString(R.string.port)");
                preferencesUtil2.setRecommend(valueOf, string2);
            }
            PreferencesUtil preferencesUtil3 = this.preferences;
            if (preferencesUtil3 != null) {
                String string3 = getString(com.gyh.stm32zy.R.string.host);
                Intrinsics.checkExpressionValueIsNotNull(string3, "getString(R.string.host)");
                emptyList = preferencesUtil3.getAllRecommend(string3);
            }
            emptyList = CollectionsKt.emptyList();
            this.hostCountries = emptyList;
            PreferencesUtil preferencesUtil4 = this.preferences;
            if (preferencesUtil4 != null) {
                String string4 = getString(com.gyh.stm32zy.R.string.port);
                Intrinsics.checkExpressionValueIsNotNull(string4, "getString(R.string.port)");
                emptyList2 = preferencesUtil4.getAllRecommend(string4);
            }
            emptyList2 = CollectionsKt.emptyList();
            this.portCountries = emptyList2;
            Object systemService = getSystemService("input_method");
            if (systemService == null) {
                throw new TypeCastException("null cannot be cast to non-null type android.view.inputmethod.InputMethodManager");
            }
            InputMethodManager imm = (InputMethodManager) systemService;
            View currentFocus = getCurrentFocus();
            imm.hideSoftInputFromWindow(currentFocus != null ? currentFocus.getWindowToken() : null, 0);
        }
        return succeed;
    }

    private final void addListener(NettyServerHandler serverHandler) {
        if (serverHandler != null) {
            serverHandler.addChannelCloseListener(new MainActivity$addListener$1(this));
        }
        if (serverHandler != null) {
            serverHandler.addChannelOpenListener(new MainActivity$addListener$2(this));
        }
        if (serverHandler != null) {
            serverHandler.addChannelErrorListener(new MainActivity$addListener$3(this));
        }
        if (serverHandler != null) {
            serverHandler.addMsgReadListener(new MainActivity$addListener$4(this));
        }
        if (serverHandler != null) {
            serverHandler.addMsgWriteListener(MainActivity$addListener$5.INSTANCE);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void isEnabled(boolean disable) {
        Button connect = (Button) _$_findCachedViewById(R.id.connect);
        Intrinsics.checkExpressionValueIsNotNull(connect, "connect");
        connect.setEnabled(disable);
        Button off = (Button) _$_findCachedViewById(R.id.off);
        Intrinsics.checkExpressionValueIsNotNull(off, "off");
        off.setEnabled(!disable);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void showAlertDialog(String msg) {
        new AlertDialog.Builder(this).setTitle("错误").setMessage(msg).create().show();
    }

    @Override // android.app.Activity
    public boolean onCreateOptionsMenu(Menu menu) {
        Intrinsics.checkParameterIsNotNull(menu, "menu");
        super.onCreateOptionsMenu(menu);
        getMenuInflater().inflate(com.gyh.stm32zy.R.menu.activity_extra, menu);
        return true;
    }

    @Override // android.app.Activity
    public boolean onOptionsItemSelected(MenuItem menuItem) {
        Intrinsics.checkParameterIsNotNull(menuItem, "menuItem");
        if (menuItem.getItemId() == com.gyh.stm32zy.R.id.debug) {
            LinearLayout linearLayout = Logger.getmLogContainer();
            Intrinsics.checkExpressionValueIsNotNull(linearLayout, "Logger.getmLogContainer()");
            if (linearLayout.getVisibility() == 8) {
                Logger.loggerSwitch();
                menuItem.setTitle(com.gyh.stm32zy.R.string.stopDebug);
            } else {
                Logger.loggerSwitch();
                menuItem.setTitle(com.gyh.stm32zy.R.string.startDebug);
            }
            return true;
        } else if (menuItem.getItemId() == com.gyh.stm32zy.R.id.setting) {
            startActivity(new Intent(this, SettingsActivity.class));
            return true;
        } else {
            return false;
        }
    }
}
