package com.gyh.wifidata.common;

import android.util.Log;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.ByteToMessageDecoder;
import io.netty.util.ByteProcessor;
import java.nio.charset.StandardCharsets;
import java.util.List;
/* loaded from: classes2.dex */
public class MessageDecoder extends ByteToMessageDecoder {
    public static final byte END = 42;
    public static final String PARTITION = ";";
    public static final byte START = 35;
    private String TAG = getClass().getSimpleName();

    @Override // io.netty.handler.codec.ByteToMessageDecoder
    protected void decode(ChannelHandlerContext ctx, ByteBuf in, List<Object> out) {
        int start = in.forEachByte(new ByteProcessor.IndexOfProcessor((byte) 35));
        int end = in.forEachByte(new ByteProcessor.IndexOfProcessor(END));
        int length = (end - start) + 1;
        String str = this.TAG;
        Log.d(str, "decode: " + start + " " + end + " " + length);
        if (start != -1) {
            if (end != -1) {
                String data = in.toString(start, length, StandardCharsets.UTF_8);
                in.skipBytes(length);
                NettyServletRequest request = new NettyServletRequest(data, (byte) 35, ctx);
                out.add(request);
                return;
            }
            return;
        }
        String data2 = in.toString(0, end, StandardCharsets.UTF_8);
        String str2 = this.TAG;
        Log.d(str2, "decode: " + data2);
        in.skipBytes(in.readableBytes());
    }
}
