package com.gyh.wifidata.common;

import io.netty.channel.ChannelInitializer;
import io.netty.channel.ChannelPipeline;
import io.netty.channel.socket.SocketChannel;
/* loaded from: classes2.dex */
public class NettyServerInitializer extends ChannelInitializer<SocketChannel> {
    private final NettyServerHandler serverHandler = new NettyServerHandler();
    private final MessageEncoder messageEncoder = new MessageEncoder();

    @Override // io.netty.channel.ChannelInitializer
    public void initChannel(SocketChannel ch) throws Exception {
        ChannelPipeline pipeline = ch.pipeline();
        pipeline.addLast(new MessageDecoder());
        pipeline.addLast(this.messageEncoder);
        pipeline.addLast(this.serverHandler);
    }

    public NettyServerHandler getServerHandler() {
        return this.serverHandler;
    }
}
