package com.gyh.wifidata.util;

import android.app.Application;
import android.content.Context;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.app.AlertDialog;
import com.gyh.stm32zy.R;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import kotlin.Metadata;
import kotlin.TypeCastException;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
/* compiled from: AppConfig.kt */
@Metadata(bv = {1, 0, 3}, d1 = {"\u0000\u0014\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\u0018\u0000 \u00052\u00020\u0001:\u0001\u0005B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0003\u001a\u00020\u0004H\u0016¨\u0006\u0006"}, d2 = {"Lcom/gyh/wifidata/util/AppConfig;", "Landroid/app/Application;", "()V", "onCreate", "", "Companion", "app_debug"}, k = 1, mv = {1, 1, 16})
/* loaded from: classes2.dex */
public final class AppConfig extends Application {
    public static final Companion Companion = new Companion(null);
    public static AppConfig mInstance;

    @Override // android.app.Application
    public void onCreate() {
        super.onCreate();
        mInstance = this;
    }

    /* compiled from: AppConfig.kt */
    @Metadata(bv = {1, 0, 3}, d1 = {"\u00000\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\f\u0010\t\u001a\b\u0012\u0004\u0012\u00020\u000b0\nJ\u000e\u0010\f\u001a\u00020\r2\u0006\u0010\u000e\u001a\u00020\u000fJ\u000e\u0010\u0010\u001a\u00020\u00112\u0006\u0010\u000e\u001a\u00020\u000fR\u001a\u0010\u0003\u001a\u00020\u0004X\u0086.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\b¨\u0006\u0012"}, d2 = {"Lcom/gyh/wifidata/util/AppConfig$Companion;", "", "()V", "mInstance", "Lcom/gyh/wifidata/util/AppConfig;", "getMInstance", "()Lcom/gyh/wifidata/util/AppConfig;", "setMInstance", "(Lcom/gyh/wifidata/util/AppConfig;)V", "getWifiList", "", "Landroid/net/wifi/ScanResult;", "showListDialog", "", "context", "Landroid/content/Context;", "showWaitingDialog", "Landroidx/appcompat/app/AlertDialog;", "app_debug"}, k = 1, mv = {1, 1, 16})
    /* loaded from: classes2.dex */
    public static final class Companion {
        private Companion() {
        }

        public /* synthetic */ Companion(DefaultConstructorMarker $constructor_marker) {
            this();
        }

        public final AppConfig getMInstance() {
            AppConfig appConfig = AppConfig.mInstance;
            if (appConfig == null) {
                Intrinsics.throwUninitializedPropertyAccessException("mInstance");
            }
            return appConfig;
        }

        public final void setMInstance(AppConfig appConfig) {
            Intrinsics.checkParameterIsNotNull(appConfig, "<set-?>");
            AppConfig.mInstance = appConfig;
        }

        public final AlertDialog showWaitingDialog(Context context) {
            Intrinsics.checkParameterIsNotNull(context, "context");
            AlertDialog.Builder waitingDialog = new AlertDialog.Builder(context);
            waitingDialog.setMessage("等待中...");
            View view = LayoutInflater.from(context).inflate(R.layout.waiting, (ViewGroup) null);
            waitingDialog.setView(view);
            waitingDialog.setCancelable(false);
            AlertDialog show = waitingDialog.show();
            Intrinsics.checkExpressionValueIsNotNull(show, "waitingDialog.show()");
            return show;
        }

        public final void showListDialog(Context context) {
            Intrinsics.checkParameterIsNotNull(context, "context");
            Iterable $this$map$iv = getWifiList();
            Collection destination$iv$iv = new ArrayList(CollectionsKt.collectionSizeOrDefault($this$map$iv, 10));
            for (Object item$iv$iv : $this$map$iv) {
                ScanResult it = (ScanResult) item$iv$iv;
                destination$iv$iv.add(it.SSID);
            }
            Collection $this$toTypedArray$iv = (List) destination$iv$iv;
            Object[] array = $this$toTypedArray$iv.toArray(new String[0]);
            if (array == null) {
                throw new TypeCastException("null cannot be cast to non-null type kotlin.Array<T>");
            }
            String[] items = (String[]) array;
            AlertDialog.Builder listDialog = new AlertDialog.Builder(context);
            if (items.length == 0) {
                listDialog.setTitle("请打开wifi");
                listDialog.setMessage("由于android权限限制，请打开定位开关已扫描wifi");
            } else {
                listDialog.setTitle("请选择一个WiFi");
                listDialog.setItems(items, AppConfig$Companion$showListDialog$1.INSTANCE);
            }
            listDialog.show();
        }

        public final List<ScanResult> getWifiList() {
            Object systemService = getMInstance().getSystemService("wifi");
            if (systemService == null) {
                throw new TypeCastException("null cannot be cast to non-null type android.net.wifi.WifiManager");
            }
            WifiManager wifiManager = (WifiManager) systemService;
            while (!wifiManager.isWifiEnabled()) {
                wifiManager.setWifiEnabled(true);
            }
            List scanWifiList = wifiManager.getScanResults();
            Log.i("TAG", "" + scanWifiList.size());
            ArrayList wifiList = new ArrayList();
            if (scanWifiList != null && (!scanWifiList.isEmpty())) {
                HashMap signalStrength = new HashMap();
                int size = scanWifiList.size();
                for (int i = 0; i < size; i++) {
                    ScanResult scanResult = scanWifiList.get(i);
                    String str = scanResult.SSID;
                    Intrinsics.checkExpressionValueIsNotNull(str, "scanResult.SSID");
                    if (str.length() > 0) {
                        String key = scanResult.SSID.toString() + " " + scanResult.capabilities;
                        if (!signalStrength.containsKey(key)) {
                            signalStrength.put(key, Integer.valueOf(i));
                            wifiList.add(scanResult);
                        }
                    }
                }
            }
            return wifiList;
        }
    }
}
