package com.gyh.wifidata.util;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;
import androidx.preference.PreferenceManager;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import kotlin.Metadata;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt;
/* compiled from: PreferencesUtil.kt */
@Metadata(bv = {1, 0, 3}, d1 = {"\u0000*\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010 \n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0010\u0002\n\u0000\b\u0016\u0018\u00002\u00020\u0001B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u0014\u0010\u0007\u001a\b\u0012\u0004\u0012\u00020\t0\b2\u0006\u0010\n\u001a\u00020\tJ\u001c\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\t0\b2\u0006\u0010\f\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\tJ\u0016\u0010\r\u001a\u00020\u000e2\u0006\u0010\f\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\tR\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082\u0004¢\u0006\u0002\n\u0000¨\u0006\u000f"}, d2 = {"Lcom/gyh/wifidata/util/PreferencesUtil;", "", "context", "Landroid/content/Context;", "(Landroid/content/Context;)V", "preferences", "Landroid/content/SharedPreferences;", "getAllRecommend", "", "", "key", "getRecommend", "str", "setRecommend", "", "app_debug"}, k = 1, mv = {1, 1, 16})
/* loaded from: classes2.dex */
public class PreferencesUtil {
    private final Context context;
    private final SharedPreferences preferences;

    public PreferencesUtil(Context context) {
        Intrinsics.checkParameterIsNotNull(context, "context");
        this.context = context;
        SharedPreferences defaultSharedPreferences = PreferenceManager.getDefaultSharedPreferences(context);
        Intrinsics.checkExpressionValueIsNotNull(defaultSharedPreferences, "PreferenceManager.getDef…haredPreferences(context)");
        this.preferences = defaultSharedPreferences;
    }

    public final List<String> getRecommend(String str, String key) {
        Intrinsics.checkParameterIsNotNull(str, "str");
        Intrinsics.checkParameterIsNotNull(key, "key");
        SharedPreferences sharedPreferences = this.preferences;
        Iterable strSet = sharedPreferences.getStringSet("recommend_" + key, new HashSet());
        if (strSet == null) {
            return CollectionsKt.emptyList();
        }
        Iterable $this$filter$iv = strSet;
        Collection destination$iv$iv = new ArrayList();
        for (Object element$iv$iv : $this$filter$iv) {
            String it = (String) element$iv$iv;
            Intrinsics.checkExpressionValueIsNotNull(it, "it");
            if (StringsKt.startsWith$default(it, str, false, 2, (Object) null)) {
                destination$iv$iv.add(element$iv$iv);
            }
        }
        return (List) destination$iv$iv;
    }

    public final List<String> getAllRecommend(String key) {
        List<String> emptyList;
        Intrinsics.checkParameterIsNotNull(key, "key");
        SharedPreferences sharedPreferences = this.preferences;
        Set<String> stringSet = sharedPreferences.getStringSet("recommend_" + key, new HashSet());
        if (stringSet == null || (emptyList = CollectionsKt.toList(stringSet)) == null) {
            emptyList = CollectionsKt.emptyList();
        }
        Iterable $this$forEach$iv = emptyList;
        for (Object element$iv : $this$forEach$iv) {
            String it = (String) element$iv;
            Log.i("recommend_", it);
        }
        return emptyList;
    }

    public final void setRecommend(String str, String key) {
        Intrinsics.checkParameterIsNotNull(str, "str");
        Intrinsics.checkParameterIsNotNull(key, "key");
        SharedPreferences sharedPreferences = this.preferences;
        Set strSet = sharedPreferences.getStringSet("recommend_" + key, new HashSet());
        if (strSet == null) {
            strSet = new HashSet();
        }
        Intrinsics.checkExpressionValueIsNotNull(strSet, "preferences.getStringSet…>()) ?: HashSet<String>()");
        strSet.add(str);
        List strList = CollectionsKt.toMutableList((Collection) strSet);
        while (strList.size() > 5) {
            strList.remove(0);
        }
        SharedPreferences.Editor $this$with = this.preferences.edit();
        $this$with.remove("recommend_" + key);
        $this$with.putStringSet("recommend_" + key, CollectionsKt.toSet(strList));
        $this$with.commit();
        Log.i("NMKA", str + key);
    }
}
