package com.gyh.wifidata.view;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Log;
import android.widget.Toast;
import androidx.core.app.ActivityCompat;
import androidx.core.content.PermissionChecker;
import com.gyh.stm32zy.R;
/* loaded from: classes2.dex */
public class PermissionActivi extends Activity implements ActivityCompat.OnRequestPermissionsResultCallback {
    private static int mNoPermissionIndex = 0;
    private static final String[] permissionManifest = {"android.permission.READ_PHONE_STATE", "android.permission.CHANGE_WIFI_STATE", "android.permission.INTERNET", "android.permission.ACCESS_COARSE_LOCATION", "android.permission.ACCESS_WIFI_STATE"};
    private final int PERMISSION_REQUEST_CODE = 1;
    private final int[] noPermissionTip = {R.string.no_record_audio_permission, R.string.no_read_phone_state_permission, R.string.no_write_external_storage_permission, R.string.no_read_external_storage_permission, R.string.no_change_wifi_state_permission};

    @Override // android.app.Activity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback
    public void onRequestPermissionsResult(int i, String[] strings, int[] ints) {
        Log.d("DEMO", "onRequestPermissionsResult: " + i);
        for (String s : strings) {
            Log.d("DEMO1", "onRequestPermissionsResult: " + s);
        }
        for (int ii : ints) {
            Log.d("DEMO2", "onRequestPermissionsResult: " + ii);
        }
        finish();
    }

    @Override // android.app.Activity
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.i("NMKA", "onCreate: >>>>>>>>>>>>>>>>>权限");
        if (Build.VERSION.SDK_INT >= 23) {
            ActivityCompat.requestPermissions(this, permissionManifest, 1);
        } else {
            show(this, getString(this.noPermissionTip[mNoPermissionIndex]));
        }
    }

    public static void init(Context context) {
        Intent intent = new Intent();
        intent.setClass(context, PermissionActivi.class);
        context.startActivity(intent);
    }

    public static boolean permissionCheck(Context context) {
        int permissionCheck = 0;
        int i = 0;
        while (true) {
            String[] strArr = permissionManifest;
            if (i >= strArr.length) {
                break;
            }
            String permission = strArr[i];
            mNoPermissionIndex = i;
            if (PermissionChecker.checkSelfPermission(context, permission) != 0) {
                permissionCheck = -1;
            }
            i++;
        }
        return permissionCheck == 0;
    }

    public static void show(final Context context, final String content) {
        if (!TextUtils.isEmpty(content)) {
            new Handler(Looper.getMainLooper()).post(new Runnable() { // from class: com.gyh.wifidata.view.-$$Lambda$PermissionActivi$vtbA3OFLMrZw1cB1gGYINknAfnE
                @Override // java.lang.Runnable
                public final void run() {
                    Toast.makeText(context, content, 0).show();
                }
            });
        }
    }
}
