package io.netty.handler.codec.compression;

import kotlin.UByte;
/* loaded from: classes.dex */
final class FastLz {
    static final byte BLOCK_TYPE_COMPRESSED = 1;
    static final byte BLOCK_TYPE_NON_COMPRESSED = 0;
    static final byte BLOCK_WITHOUT_CHECKSUM = 0;
    static final byte BLOCK_WITH_CHECKSUM = 16;
    static final int CHECKSUM_OFFSET = 4;
    private static final int HASH_LOG = 13;
    private static final int HASH_MASK = 8191;
    private static final int HASH_SIZE = 8192;
    static final int LEVEL_1 = 1;
    static final int LEVEL_2 = 2;
    static final int LEVEL_AUTO = 0;
    static final int MAGIC_NUMBER = 4607066;
    static final int MAX_CHUNK_LENGTH = 65535;
    private static final int MAX_COPY = 32;
    private static final int MAX_DISTANCE = 8191;
    private static final int MAX_FARDISTANCE = 73725;
    private static final int MAX_LEN = 264;
    static final int MIN_LENGTH_TO_COMPRESSION = 32;
    private static final int MIN_RECOMENDED_LENGTH_FOR_LEVEL_2 = 65536;
    static final int OPTIONS_OFFSET = 3;

    /* JADX INFO: Access modifiers changed from: package-private */
    public static int calculateOutputBufferLength(int inputLength) {
        int outputLength = (int) (inputLength * 1.06d);
        return Math.max(outputLength, 66);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:156:0x0151 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:44:0x00d3  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static int compress(byte[] input, int inOffset, int inLength, byte[] output, int outOffset, int proposedLevel) {
        int level;
        int ref;
        int op;
        int ip = 2;
        int op2 = 1;
        if (proposedLevel == 0) {
            level = inLength < 65536 ? 1 : 2;
        } else {
            level = proposedLevel;
        }
        int ipBound = (0 + inLength) - 2;
        int ipLimit = (0 + inLength) - 12;
        int[] htab = new int[8192];
        if (inLength < 4) {
            if (inLength != 0) {
                int op3 = 0 + 1;
                int op4 = outOffset + 0;
                output[op4] = (byte) (inLength - 1);
                int ipBound2 = ipBound + 1;
                for (int ip2 = 0; ip2 <= ipBound2; ip2++) {
                    output[outOffset + op3] = input[inOffset + ip2];
                    op3++;
                }
                int op5 = inLength + 1;
                return op5;
            }
            return 0;
        }
        for (int hslot = 0; hslot < 8192; hslot++) {
            htab[hslot] = 0;
        }
        int copy = 2;
        int op6 = 0 + 1;
        int op7 = outOffset + 0;
        output[op7] = 31;
        int op8 = op6 + 1;
        int ip3 = 0 + 1;
        int ip4 = inOffset + 0;
        output[outOffset + op6] = input[ip4];
        int op9 = op8 + 1;
        int ip5 = ip3 + 1;
        output[outOffset + op8] = input[inOffset + ip3];
        while (ip5 < ipLimit) {
            int ref2 = 0;
            long distance = 0;
            int len = 3;
            int anchor = ip5;
            boolean matchLabel = false;
            if (level == ip && input[inOffset + ip5] == input[(inOffset + ip5) - 1] && readU16(input, (inOffset + ip5) - op2) == readU16(input, inOffset + ip5 + op2)) {
                distance = 1;
                ip5 += 3;
                ref2 = anchor + 2;
                matchLabel = true;
            }
            if (!matchLabel) {
                int hval = hashFunction(input, inOffset + ip5);
                int ref3 = htab[hval];
                long distance2 = anchor - ref3;
                htab[hval] = anchor;
                if (distance2 != 0) {
                    if (level == op2) {
                        if (distance2 >= 8191) {
                        }
                        int ref4 = ref3 + 1;
                        int ip6 = ip5 + 1;
                        if (input[inOffset + ref3] != input[inOffset + ip5]) {
                            int ref5 = ref4 + 1;
                            byte b = input[inOffset + ref4];
                            int ip7 = ip6 + 1;
                            if (b == input[inOffset + ip6]) {
                                int ref6 = ref5 + 1;
                                byte b2 = input[inOffset + ref5];
                                int ip8 = ip7 + 1;
                                if (b2 == input[inOffset + ip7]) {
                                    if (level != 2 || distance2 < 8191) {
                                        distance = distance2;
                                        ref2 = ref6;
                                    } else {
                                        int ip9 = ip8 + 1;
                                        byte b3 = input[inOffset + ip8];
                                        int ref7 = ref6 + 1;
                                        if (b3 == input[inOffset + ref6]) {
                                            int i = ip9 + 1;
                                            int ref8 = ref7 + 1;
                                            if (input[inOffset + ip9] == input[inOffset + ref7]) {
                                                len = 3 + 2;
                                                distance = distance2;
                                                ref2 = ref8;
                                            }
                                        }
                                        int ref9 = op9 + 1;
                                        int anchor2 = anchor + 1;
                                        output[outOffset + op9] = input[inOffset + anchor];
                                        copy++;
                                        if (copy != 32) {
                                            ip5 = anchor2;
                                            op9 = ref9;
                                            ip = 2;
                                            op2 = 1;
                                        } else {
                                            copy = 0;
                                            op9 = ref9 + 1;
                                            int op10 = outOffset + ref9;
                                            output[op10] = 31;
                                            ip5 = anchor2;
                                            ip = 2;
                                            op2 = 1;
                                        }
                                    }
                                }
                            }
                        }
                    } else {
                        if (distance2 >= 73725) {
                        }
                        int ref42 = ref3 + 1;
                        int ip62 = ip5 + 1;
                        if (input[inOffset + ref3] != input[inOffset + ip5]) {
                        }
                    }
                }
                int op11 = op9 + 1;
                output[outOffset + op9] = input[inOffset + anchor];
                ip5 = anchor + 1;
                copy++;
                if (copy != 32) {
                    op9 = op11;
                    ip = 2;
                    op2 = 1;
                } else {
                    copy = 0;
                    output[outOffset + op11] = 31;
                    op9 = op11 + 1;
                    ip = 2;
                    op2 = 1;
                }
            }
            int ip10 = anchor + len;
            long distance3 = distance - 1;
            if (distance3 == 0) {
                byte x = input[(inOffset + ip10) - 1];
                while (true) {
                    if (ip10 >= ipBound) {
                        break;
                    }
                    int ref10 = ref2 + 1;
                    if (input[inOffset + ref2] != x) {
                        ref2 = ref10;
                        break;
                    }
                    ip10++;
                    ref2 = ref10;
                }
            } else {
                int ref11 = ref2 + 1;
                int ip11 = ip10 + 1;
                if (input[inOffset + ref2] != input[inOffset + ip10]) {
                    ref2 = ref11;
                    ip10 = ip11;
                } else {
                    ref2 = ref11 + 1;
                    byte b4 = input[inOffset + ref11];
                    int ip12 = ip11 + 1;
                    if (b4 != input[inOffset + ip11]) {
                        ip10 = ip12;
                    } else {
                        int ref12 = ref2 + 1;
                        int ip13 = ip12 + 1;
                        if (input[inOffset + ref2] != input[inOffset + ip12]) {
                            ref2 = ref12;
                            ip10 = ip13;
                        } else {
                            ref2 = ref12 + 1;
                            int ip14 = ip13 + 1;
                            if (input[inOffset + ref12] != input[inOffset + ip13]) {
                                ip10 = ip14;
                            } else {
                                int ref13 = ref2 + 1;
                                int ip15 = ip14 + 1;
                                if (input[inOffset + ref2] != input[inOffset + ip14]) {
                                    ref2 = ref13;
                                    ip10 = ip15;
                                } else {
                                    ref2 = ref13 + 1;
                                    int ip16 = ip15 + 1;
                                    if (input[inOffset + ref13] != input[inOffset + ip15]) {
                                        ip10 = ip16;
                                    } else {
                                        int ref14 = ref2 + 1;
                                        int ip17 = ip16 + 1;
                                        if (input[inOffset + ref2] != input[inOffset + ip16]) {
                                            ref2 = ref14;
                                            ip10 = ip17;
                                        } else {
                                            ref2 = ref14 + 1;
                                            int ip18 = ip17 + 1;
                                            if (input[inOffset + ref14] == input[inOffset + ip17]) {
                                                ip10 = ip18;
                                                while (true) {
                                                    if (ip10 >= ipBound) {
                                                        break;
                                                    }
                                                    int ref15 = ref2 + 1;
                                                    int ip19 = ip10 + 1;
                                                    if (input[inOffset + ref2] == input[inOffset + ip10]) {
                                                        ref2 = ref15;
                                                        ip10 = ip19;
                                                    } else {
                                                        ref2 = ref15;
                                                        ip10 = ip19;
                                                        break;
                                                    }
                                                }
                                            } else {
                                                ip10 = ip18;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            if (copy != 0) {
                output[((outOffset + op9) - copy) - 1] = (byte) (copy - 1);
            } else {
                op9--;
            }
            copy = 0;
            int ip20 = ip10 - 3;
            int len2 = ip20 - anchor;
            if (level != 2) {
                if (len2 <= 262) {
                    ref = level;
                } else {
                    for (int i2 = 262; len2 > i2; i2 = 262) {
                        int op12 = op9 + 1;
                        output[outOffset + op9] = (byte) ((distance3 >>> 8) + 224);
                        int op13 = op12 + 1;
                        output[outOffset + op12] = -3;
                        op9 = op13 + 1;
                        output[outOffset + op13] = (byte) (distance3 & 255);
                        len2 -= 262;
                        level = level;
                    }
                    ref = level;
                }
                if (len2 < 7) {
                    int op14 = op9 + 1;
                    output[outOffset + op9] = (byte) ((len2 << 5) + (distance3 >>> 8));
                    op = op14 + 1;
                    output[outOffset + op14] = (byte) (distance3 & 255);
                } else {
                    int op15 = op9 + 1;
                    output[outOffset + op9] = (byte) ((distance3 >>> 8) + 224);
                    int op16 = op15 + 1;
                    output[outOffset + op15] = (byte) (len2 - 7);
                    op = op16 + 1;
                    output[outOffset + op16] = (byte) (distance3 & 255);
                }
            } else if (distance3 >= 8191) {
                if (len2 < 7) {
                    long distance4 = distance3 - 8191;
                    int op17 = op9 + 1;
                    output[outOffset + op9] = (byte) ((len2 << 5) + 31);
                    int op18 = op17 + 1;
                    output[outOffset + op17] = -1;
                    int op19 = op18 + 1;
                    output[outOffset + op18] = (byte) (distance4 >>> 8);
                    op = op19 + 1;
                    output[outOffset + op19] = (byte) (distance4 & 255);
                    ref = level;
                } else {
                    long distance5 = distance3 - 8191;
                    int op20 = op9 + 1;
                    byte b5 = -1;
                    output[outOffset + op9] = -1;
                    int len3 = len2 - 7;
                    while (len3 >= 255) {
                        output[outOffset + op20] = b5;
                        len3 -= 255;
                        op20++;
                        b5 = -1;
                    }
                    int op21 = op20 + 1;
                    output[outOffset + op20] = (byte) len3;
                    int op22 = op21 + 1;
                    output[outOffset + op21] = -1;
                    int op23 = op22 + 1;
                    output[outOffset + op22] = (byte) (distance5 >>> 8);
                    output[outOffset + op23] = (byte) (distance5 & 255);
                    op = op23 + 1;
                    ref = level;
                }
            } else if (len2 < 7) {
                int op24 = op9 + 1;
                output[outOffset + op9] = (byte) ((len2 << 5) + (distance3 >>> 8));
                op = op24 + 1;
                output[outOffset + op24] = (byte) (distance3 & 255);
                ref = level;
            } else {
                int op25 = op9 + 1;
                output[outOffset + op9] = (byte) ((distance3 >>> 8) + 224);
                int len4 = len2 - 7;
                while (len4 >= 255) {
                    output[outOffset + op25] = -1;
                    len4 -= 255;
                    op25++;
                }
                int op26 = op25 + 1;
                output[outOffset + op25] = (byte) len4;
                output[outOffset + op26] = (byte) (distance3 & 255);
                op = op26 + 1;
                ref = level;
            }
            int hval2 = hashFunction(input, inOffset + ip20);
            int ip21 = ip20 + 1;
            htab[hval2] = ip20;
            int hval3 = hashFunction(input, inOffset + ip21);
            ip5 = ip21 + 1;
            htab[hval3] = ip21;
            output[outOffset + op] = 31;
            op9 = op + 1;
            level = ref;
            ip = 2;
            op2 = 1;
        }
        int level2 = level;
        int ipBound3 = ipBound + 1;
        while (ip5 <= ipBound3) {
            int op27 = op9 + 1;
            int ip22 = ip5 + 1;
            output[outOffset + op9] = input[inOffset + ip5];
            copy++;
            if (copy == 32) {
                copy = 0;
                op9 = op27 + 1;
                output[outOffset + op27] = 31;
                ip5 = ip22;
            } else {
                op9 = op27;
                ip5 = ip22;
            }
        }
        if (copy != 0) {
            output[((outOffset + op9) - copy) - 1] = (byte) (copy - 1);
        } else {
            op9--;
        }
        if (level2 == 2) {
            output[outOffset] = (byte) (output[outOffset] | 32);
        }
        return op9;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static int decompress(byte[] input, int inOffset, int inLength, byte[] output, int outOffset, int outLength) {
        int ref;
        boolean z;
        int ip;
        int ref2;
        int level;
        int ip2;
        int i = outLength;
        char c = 5;
        int i2 = 1;
        int loop = (input[inOffset] >> 5) + 1;
        if (loop != 1 && loop != 2) {
            throw new DecompressionException(String.format("invalid level: %d (expected: %d or %d)", Integer.valueOf(loop), 1, 2));
        }
        int op = 0;
        int ip3 = 0 + 1;
        int ip4 = inOffset + 0;
        long ctrl = input[ip4] & 31;
        boolean z2 = true;
        while (true) {
            int ref3 = op;
            long len = ctrl >> c;
            long ofs = (31 & ctrl) << 8;
            byte b = UByte.MAX_VALUE;
            if (ctrl >= 32) {
                long len2 = len - 1;
                boolean z3 = z2;
                int ref4 = (int) (ref3 - ofs);
                if (len2 == 6) {
                    if (loop == i2) {
                        len2 += input[inOffset + ip3] & UByte.MAX_VALUE;
                        ip3++;
                    } else {
                        while (true) {
                            int code = input[inOffset + ip3] & b;
                            ip3++;
                            len2 += code;
                            if (code != 255) {
                                break;
                            }
                            b = UByte.MAX_VALUE;
                        }
                    }
                }
                if (loop == 1) {
                    ip = ip3 + 1;
                    ref2 = ref4 - (input[inOffset + ip3] & UByte.MAX_VALUE);
                    level = loop;
                } else {
                    ip = ip3 + 1;
                    int code2 = input[inOffset + ip3] & UByte.MAX_VALUE;
                    ref2 = ref4 - code2;
                    if (code2 != 255 || ofs != 7936) {
                        level = loop;
                    } else {
                        level = loop;
                        ref2 = (int) ((op - (((input[inOffset + ip] & UByte.MAX_VALUE) << 8) + (input[inOffset + ip2] & UByte.MAX_VALUE))) - 8191);
                        ip = ip + 1 + 1;
                    }
                }
                int level2 = level;
                long len3 = len2;
                if (op + len2 + 3 > i || ref2 - 1 < 0) {
                    return 0;
                }
                if (ip < inLength) {
                    ctrl = input[inOffset + ip] & UByte.MAX_VALUE;
                    ip++;
                } else {
                    z3 = false;
                }
                if (ref2 == op) {
                    byte b2 = output[(outOffset + ref2) - 1];
                    int op2 = op + 1;
                    output[outOffset + op] = b2;
                    int op3 = op2 + 1;
                    output[outOffset + op2] = b2;
                    int op4 = op3 + 1;
                    output[outOffset + op3] = b2;
                    long len4 = len3;
                    while (len4 != 0) {
                        output[outOffset + op4] = b2;
                        len4--;
                        op4++;
                    }
                    ref = level2;
                    op = op4;
                    z = z3;
                    ip3 = ip;
                } else {
                    int ref5 = ref2 - 1;
                    int op5 = op + 1;
                    int ref6 = ref5 + 1;
                    output[outOffset + op] = output[outOffset + ref5];
                    int op6 = op5 + 1;
                    int ref7 = ref6 + 1;
                    output[outOffset + op5] = output[outOffset + ref6];
                    int op7 = op6 + 1;
                    int ref8 = ref7 + 1;
                    output[outOffset + op6] = output[outOffset + ref7];
                    long len5 = len3;
                    while (len5 != 0) {
                        output[outOffset + op7] = output[outOffset + ref8];
                        len5--;
                        op7++;
                        ref8++;
                    }
                    ref = level2;
                    ip3 = ip;
                    op = op7;
                    z = z3;
                }
            } else {
                long ctrl2 = ctrl + 1;
                if (op + ctrl2 <= i) {
                    ref = loop;
                    if (ip3 + ctrl2 > inLength) {
                        return 0;
                    }
                    int op8 = op + 1;
                    int ip5 = ip3 + 1;
                    output[outOffset + op] = input[inOffset + ip3];
                    ctrl = ctrl2 - 1;
                    while (ctrl != 0) {
                        output[outOffset + op8] = input[inOffset + ip5];
                        ctrl--;
                        op8++;
                        ip5++;
                    }
                    z = ip5 < inLength;
                    if (!z) {
                        op = op8;
                        ip3 = ip5;
                    } else {
                        ctrl = input[inOffset + ip5] & UByte.MAX_VALUE;
                        op = op8;
                        ip3 = ip5 + 1;
                    }
                } else {
                    return 0;
                }
            }
            if (z) {
                i = outLength;
                c = 5;
                i2 = 1;
                int i3 = ref;
                z2 = z;
                loop = i3;
            } else {
                return op;
            }
        }
    }

    private static int hashFunction(byte[] p, int offset) {
        int v = readU16(p, offset);
        return (v ^ (readU16(p, offset + 1) ^ (v >> 3))) & 8191;
    }

    private static int readU16(byte[] data, int offset) {
        if (offset + 1 >= data.length) {
            return data[offset] & UByte.MAX_VALUE;
        }
        return ((data[offset + 1] & UByte.MAX_VALUE) << 8) | (data[offset] & UByte.MAX_VALUE);
    }

    private FastLz() {
    }
}
