package io.netty.handler.codec.compression;

import com.jcraft.jzlib.Deflater;
import com.jcraft.jzlib.Inflater;
import com.jcraft.jzlib.JZlib;
/* loaded from: classes.dex */
final class ZlibUtil {
    /* JADX INFO: Access modifiers changed from: package-private */
    public static void fail(Inflater z, String message, int resultCode) {
        throw inflaterException(z, message, resultCode);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void fail(Deflater z, String message, int resultCode) {
        throw deflaterException(z, message, resultCode);
    }

    static DecompressionException inflaterException(Inflater z, String message, int resultCode) {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append(message);
        sb.append(" (");
        sb.append(resultCode);
        sb.append(')');
        if (z.msg != null) {
            str = ": " + z.msg;
        } else {
            str = "";
        }
        sb.append(str);
        return new DecompressionException(sb.toString());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static CompressionException deflaterException(Deflater z, String message, int resultCode) {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append(message);
        sb.append(" (");
        sb.append(resultCode);
        sb.append(')');
        if (z.msg != null) {
            str = ": " + z.msg;
        } else {
            str = "";
        }
        sb.append(str);
        return new CompressionException(sb.toString());
    }

    /* renamed from: io.netty.handler.codec.compression.ZlibUtil$1  reason: invalid class name */
    /* loaded from: classes.dex */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper;

        static {
            int[] iArr = new int[ZlibWrapper.values().length];
            $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper = iArr;
            try {
                iArr[ZlibWrapper.NONE.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper[ZlibWrapper.ZLIB.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper[ZlibWrapper.GZIP.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$io$netty$handler$codec$compression$ZlibWrapper[ZlibWrapper.ZLIB_OR_NONE.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static JZlib.WrapperType convertWrapperType(ZlibWrapper wrapper) {
        int i = AnonymousClass1.$SwitchMap$io$netty$handler$codec$compression$ZlibWrapper[wrapper.ordinal()];
        if (i == 1) {
            JZlib.WrapperType convertedWrapperType = JZlib.W_NONE;
            return convertedWrapperType;
        } else if (i == 2) {
            JZlib.WrapperType convertedWrapperType2 = JZlib.W_ZLIB;
            return convertedWrapperType2;
        } else if (i == 3) {
            JZlib.WrapperType convertedWrapperType3 = JZlib.W_GZIP;
            return convertedWrapperType3;
        } else if (i == 4) {
            JZlib.WrapperType convertedWrapperType4 = JZlib.W_ANY;
            return convertedWrapperType4;
        } else {
            throw new Error();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static int wrapperOverhead(ZlibWrapper wrapper) {
        int i = AnonymousClass1.$SwitchMap$io$netty$handler$codec$compression$ZlibWrapper[wrapper.ordinal()];
        if (i == 1) {
            return 0;
        }
        if (i != 2) {
            if (i == 3) {
                return 10;
            }
            if (i != 4) {
                throw new Error();
            }
        }
        return 2;
    }

    private ZlibUtil() {
    }
}
