package io.netty.handler.codec.dns;

import io.netty.util.internal.ObjectUtil;
import io.netty.util.internal.StringUtil;
/* loaded from: classes.dex */
public class DefaultDnsPtrRecord extends AbstractDnsRecord implements DnsPtrRecord {
    private final String hostname;

    public DefaultDnsPtrRecord(String name, int dnsClass, long timeToLive, String hostname) {
        super(name, DnsRecordType.PTR, dnsClass, timeToLive);
        this.hostname = (String) ObjectUtil.checkNotNull(hostname, "hostname");
    }

    @Override // io.netty.handler.codec.dns.DnsPtrRecord
    public String hostname() {
        return this.hostname;
    }

    @Override // io.netty.handler.codec.dns.AbstractDnsRecord
    public String toString() {
        StringBuilder sb = new StringBuilder(64);
        sb.append(StringUtil.simpleClassName(this));
        StringBuilder buf = sb.append('(');
        DnsRecordType type = type();
        buf.append(name().isEmpty() ? "<root>" : name());
        buf.append(' ');
        buf.append(timeToLive());
        buf.append(' ');
        StringBuilder appendRecordClass = DnsMessageUtil.appendRecordClass(buf, dnsClass());
        appendRecordClass.append(' ');
        appendRecordClass.append(type.name());
        buf.append(' ');
        buf.append(this.hostname);
        return buf.toString();
    }
}
