package io.netty.handler.codec.haproxy;
/* loaded from: classes.dex */
public enum HAProxyCommand {
    LOCAL((byte) 0),
    PROXY((byte) 1);
    
    private static final byte COMMAND_MASK = 15;
    private final byte byteValue;

    HAProxyCommand(byte byteValue) {
        this.byteValue = byteValue;
    }

    public static HAProxyCommand valueOf(byte verCmdByte) {
        int cmd = verCmdByte & 15;
        byte b = (byte) cmd;
        if (b != 0) {
            if (b == 1) {
                return PROXY;
            }
            throw new IllegalArgumentException("unknown command: " + cmd);
        }
        return LOCAL;
    }

    public byte byteValue() {
        return this.byteValue;
    }
}
