package io.netty.handler.codec.haproxy;

import io.netty.handler.codec.memcache.binary.BinaryMemcacheOpcodes;
/* loaded from: classes.dex */
public enum HAProxyProtocolVersion {
    V1(BinaryMemcacheOpcodes.STAT),
    V2((byte) 32);
    
    private static final byte VERSION_MASK = -16;
    private final byte byteValue;

    HAProxyProtocolVersion(byte byteValue) {
        this.byteValue = byteValue;
    }

    public static HAProxyProtocolVersion valueOf(byte verCmdByte) {
        int version = verCmdByte & VERSION_MASK;
        byte b = (byte) version;
        if (b != 16) {
            if (b == 32) {
                return V2;
            }
            throw new IllegalArgumentException("unknown version: " + version);
        }
        return V1;
    }

    public byte byteValue() {
        return this.byteValue;
    }
}
