package io.netty.handler.codec.rtsp;

import io.netty.handler.codec.http.HttpMethod;
import io.netty.util.internal.ObjectUtil;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public final class RtspMethods {
    private static final Map<String, HttpMethod> methodMap;
    public static final HttpMethod OPTIONS = HttpMethod.OPTIONS;
    public static final HttpMethod DESCRIBE = HttpMethod.valueOf("DESCRIBE");
    public static final HttpMethod ANNOUNCE = HttpMethod.valueOf("ANNOUNCE");
    public static final HttpMethod SETUP = HttpMethod.valueOf("SETUP");
    public static final HttpMethod PLAY = HttpMethod.valueOf("PLAY");
    public static final HttpMethod PAUSE = HttpMethod.valueOf("PAUSE");
    public static final HttpMethod TEARDOWN = HttpMethod.valueOf("TEARDOWN");
    public static final HttpMethod GET_PARAMETER = HttpMethod.valueOf("GET_PARAMETER");
    public static final HttpMethod SET_PARAMETER = HttpMethod.valueOf("SET_PARAMETER");
    public static final HttpMethod REDIRECT = HttpMethod.valueOf("REDIRECT");
    public static final HttpMethod RECORD = HttpMethod.valueOf("RECORD");

    static {
        HashMap hashMap = new HashMap();
        methodMap = hashMap;
        hashMap.put(DESCRIBE.toString(), DESCRIBE);
        methodMap.put(ANNOUNCE.toString(), ANNOUNCE);
        methodMap.put(GET_PARAMETER.toString(), GET_PARAMETER);
        methodMap.put(OPTIONS.toString(), OPTIONS);
        methodMap.put(PAUSE.toString(), PAUSE);
        methodMap.put(PLAY.toString(), PLAY);
        methodMap.put(RECORD.toString(), RECORD);
        methodMap.put(REDIRECT.toString(), REDIRECT);
        methodMap.put(SETUP.toString(), SETUP);
        methodMap.put(SET_PARAMETER.toString(), SET_PARAMETER);
        methodMap.put(TEARDOWN.toString(), TEARDOWN);
    }

    public static HttpMethod valueOf(String name) {
        ObjectUtil.checkNotNull(name, "name");
        String name2 = name.trim().toUpperCase();
        if (name2.isEmpty()) {
            throw new IllegalArgumentException("empty name");
        }
        HttpMethod result = methodMap.get(name2);
        if (result != null) {
            return result;
        }
        return HttpMethod.valueOf(name2);
    }

    private RtspMethods() {
    }
}
