package io.netty.handler.codec.xml;
/* loaded from: classes.dex */
public class XmlAttribute {
    private final String name;
    private final String namespace;
    private final String prefix;
    private final String type;
    private final String value;

    public XmlAttribute(String type, String name, String prefix, String namespace, String value) {
        this.type = type;
        this.name = name;
        this.prefix = prefix;
        this.namespace = namespace;
        this.value = value;
    }

    public String type() {
        return this.type;
    }

    public String name() {
        return this.name;
    }

    public String prefix() {
        return this.prefix;
    }

    public String namespace() {
        return this.namespace;
    }

    public String value() {
        return this.value;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        XmlAttribute that = (XmlAttribute) o;
        if (!this.name.equals(that.name)) {
            return false;
        }
        String str = this.namespace;
        if (str == null ? that.namespace != null : !str.equals(that.namespace)) {
            return false;
        }
        String str2 = this.prefix;
        if (str2 == null ? that.prefix != null : !str2.equals(that.prefix)) {
            return false;
        }
        String str3 = this.type;
        if (str3 == null ? that.type != null : !str3.equals(that.type)) {
            return false;
        }
        String str4 = this.value;
        if (str4 == null ? that.value == null : str4.equals(that.value)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.type;
        int result = str != null ? str.hashCode() : 0;
        int result2 = ((result * 31) + this.name.hashCode()) * 31;
        String str2 = this.prefix;
        int result3 = (result2 + (str2 != null ? str2.hashCode() : 0)) * 31;
        String str3 = this.namespace;
        int result4 = (result3 + (str3 != null ? str3.hashCode() : 0)) * 31;
        String str4 = this.value;
        return result4 + (str4 != null ? str4.hashCode() : 0);
    }

    public String toString() {
        return "XmlAttribute{type='" + this.type + "', name='" + this.name + "', prefix='" + this.prefix + "', namespace='" + this.namespace + "', value='" + this.value + "'}";
    }
}
