package io.netty.handler.codec.xml;
/* loaded from: classes.dex */
public class XmlDocumentStart {
    private final String encoding;
    private final String encodingScheme;
    private final boolean standalone;
    private final String version;

    public XmlDocumentStart(String encoding, String version, boolean standalone, String encodingScheme) {
        this.encoding = encoding;
        this.version = version;
        this.standalone = standalone;
        this.encodingScheme = encodingScheme;
    }

    public String encoding() {
        return this.encoding;
    }

    public String version() {
        return this.version;
    }

    public boolean standalone() {
        return this.standalone;
    }

    public String encodingScheme() {
        return this.encodingScheme;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        XmlDocumentStart that = (XmlDocumentStart) o;
        if (this.standalone != that.standalone) {
            return false;
        }
        String str = this.encoding;
        if (str == null ? that.encoding != null : !str.equals(that.encoding)) {
            return false;
        }
        String str2 = this.encodingScheme;
        if (str2 == null ? that.encodingScheme != null : !str2.equals(that.encodingScheme)) {
            return false;
        }
        String str3 = this.version;
        if (str3 == null ? that.version == null : str3.equals(that.version)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.encoding;
        int result = str != null ? str.hashCode() : 0;
        int i = result * 31;
        String str2 = this.version;
        int result2 = i + (str2 != null ? str2.hashCode() : 0);
        int result3 = ((result2 * 31) + (this.standalone ? 1 : 0)) * 31;
        String str3 = this.encodingScheme;
        return result3 + (str3 != null ? str3.hashCode() : 0);
    }

    public String toString() {
        return "XmlDocumentStart{encoding='" + this.encoding + "', version='" + this.version + "', standalone=" + this.standalone + ", encodingScheme='" + this.encodingScheme + "'}";
    }
}
