package io.netty.handler.codec.xml;

import java.util.LinkedList;
import java.util.List;
/* loaded from: classes.dex */
public class XmlElementStart extends XmlElement {
    private final List<XmlAttribute> attributes;

    public XmlElementStart(String name, String namespace, String prefix) {
        super(name, namespace, prefix);
        this.attributes = new LinkedList();
    }

    public List<XmlAttribute> attributes() {
        return this.attributes;
    }

    @Override // io.netty.handler.codec.xml.XmlElement
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass() || !super.equals(o)) {
            return false;
        }
        XmlElementStart that = (XmlElementStart) o;
        List<XmlAttribute> list = this.attributes;
        if (list == null ? that.attributes == null : list.equals(that.attributes)) {
            return true;
        }
        return false;
    }

    @Override // io.netty.handler.codec.xml.XmlElement
    public int hashCode() {
        int result = super.hashCode();
        int i = result * 31;
        List<XmlAttribute> list = this.attributes;
        int result2 = i + (list != null ? list.hashCode() : 0);
        return result2;
    }

    @Override // io.netty.handler.codec.xml.XmlElement
    public String toString() {
        return "XmlElementStart{attributes=" + this.attributes + super.toString() + "} ";
    }
}
