package io.netty.handler.codec.xml;
/* loaded from: classes.dex */
public class XmlEntityReference {
    private final String name;
    private final String text;

    public XmlEntityReference(String name, String text) {
        this.name = name;
        this.text = text;
    }

    public String name() {
        return this.name;
    }

    public String text() {
        return this.text;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        XmlEntityReference that = (XmlEntityReference) o;
        String str = this.name;
        if (str == null ? that.name != null : !str.equals(that.name)) {
            return false;
        }
        String str2 = this.text;
        if (str2 == null ? that.text == null : str2.equals(that.text)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.name;
        int result = str != null ? str.hashCode() : 0;
        int i = result * 31;
        String str2 = this.text;
        int result2 = i + (str2 != null ? str2.hashCode() : 0);
        return result2;
    }

    public String toString() {
        return "XmlEntityReference{name='" + this.name + "', text='" + this.text + "'}";
    }
}
