package io.netty.handler.codec.xml;
/* loaded from: classes.dex */
public class XmlNamespace {
    private final String prefix;
    private final String uri;

    public XmlNamespace(String prefix, String uri) {
        this.prefix = prefix;
        this.uri = uri;
    }

    public String prefix() {
        return this.prefix;
    }

    public String uri() {
        return this.uri;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        XmlNamespace that = (XmlNamespace) o;
        String str = this.prefix;
        if (str == null ? that.prefix != null : !str.equals(that.prefix)) {
            return false;
        }
        String str2 = this.uri;
        if (str2 == null ? that.uri == null : str2.equals(that.uri)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.prefix;
        int result = str != null ? str.hashCode() : 0;
        int i = result * 31;
        String str2 = this.uri;
        int result2 = i + (str2 != null ? str2.hashCode() : 0);
        return result2;
    }

    public String toString() {
        return "XmlNamespace{prefix='" + this.prefix + "', uri='" + this.uri + "'}";
    }
}
