package io.netty.handler.codec.xml;
/* loaded from: classes.dex */
public class XmlProcessingInstruction {
    private final String data;
    private final String target;

    public XmlProcessingInstruction(String data, String target) {
        this.data = data;
        this.target = target;
    }

    public String data() {
        return this.data;
    }

    public String target() {
        return this.target;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        XmlProcessingInstruction that = (XmlProcessingInstruction) o;
        String str = this.data;
        if (str == null ? that.data != null : !str.equals(that.data)) {
            return false;
        }
        String str2 = this.target;
        if (str2 == null ? that.target == null : str2.equals(that.target)) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        String str = this.data;
        int result = str != null ? str.hashCode() : 0;
        int i = result * 31;
        String str2 = this.target;
        int result2 = i + (str2 != null ? str2.hashCode() : 0);
        return result2;
    }

    public String toString() {
        return "XmlProcessingInstruction{data='" + this.data + "', target='" + this.target + "'}";
    }
}
