package io.netty.util.internal;

import io.netty.util.internal.shaded.org.jctools.util.Pow2;
/* loaded from: classes.dex */
public final class MathUtil {
    static final /* synthetic */ boolean $assertionsDisabled = false;

    private MathUtil() {
    }

    public static int findNextPositivePowerOfTwo(int value) {
        return 1 << (32 - Integer.numberOfLeadingZeros(value - 1));
    }

    public static int safeFindNextPositivePowerOfTwo(int value) {
        if (value <= 0) {
            return 1;
        }
        return value >= 1073741824 ? Pow2.MAX_POW2 : findNextPositivePowerOfTwo(value);
    }

    public static boolean isOutOfBounds(int index, int length, int capacity) {
        return (((index | length) | (index + length)) | (capacity - (index + length))) < 0;
    }

    public static int compare(int x, int y) {
        if (x < y) {
            return -1;
        }
        return x > y ? 1 : 0;
    }

    public static int compare(long x, long y) {
        if (x < y) {
            return -1;
        }
        return x > y ? 1 : 0;
    }
}
