package io.netty.util.internal.logging;

import io.netty.util.internal.ObjectUtil;
import io.netty.util.internal.StringUtil;
import java.io.ObjectStreamException;
import java.io.Serializable;
/* loaded from: classes.dex */
public abstract class AbstractInternalLogger implements InternalLogger, Serializable {
    static final String EXCEPTION_MESSAGE = "Unexpected exception:";
    private static final long serialVersionUID = -6382972526573193470L;
    private final String name;

    /* JADX INFO: Access modifiers changed from: protected */
    public AbstractInternalLogger(String name) {
        this.name = (String) ObjectUtil.checkNotNull(name, "name");
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public String name() {
        return this.name;
    }

    /* renamed from: io.netty.util.internal.logging.AbstractInternalLogger$1  reason: invalid class name */
    /* loaded from: classes.dex */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$io$netty$util$internal$logging$InternalLogLevel;

        static {
            int[] iArr = new int[InternalLogLevel.values().length];
            $SwitchMap$io$netty$util$internal$logging$InternalLogLevel = iArr;
            try {
                iArr[InternalLogLevel.TRACE.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$io$netty$util$internal$logging$InternalLogLevel[InternalLogLevel.DEBUG.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$io$netty$util$internal$logging$InternalLogLevel[InternalLogLevel.INFO.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$io$netty$util$internal$logging$InternalLogLevel[InternalLogLevel.WARN.ordinal()] = 4;
            } catch (NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$io$netty$util$internal$logging$InternalLogLevel[InternalLogLevel.ERROR.ordinal()] = 5;
            } catch (NoSuchFieldError e5) {
            }
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public boolean isEnabled(InternalLogLevel level) {
        int i = AnonymousClass1.$SwitchMap$io$netty$util$internal$logging$InternalLogLevel[level.ordinal()];
        if (i != 1) {
            if (i != 2) {
                if (i != 3) {
                    if (i != 4) {
                        if (i == 5) {
                            return isErrorEnabled();
                        }
                        throw new Error();
                    }
                    return isWarnEnabled();
                }
                return isInfoEnabled();
            }
            return isDebugEnabled();
        }
        return isTraceEnabled();
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void trace(Throwable t) {
        trace(EXCEPTION_MESSAGE, t);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void debug(Throwable t) {
        debug(EXCEPTION_MESSAGE, t);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void info(Throwable t) {
        info(EXCEPTION_MESSAGE, t);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void warn(Throwable t) {
        warn(EXCEPTION_MESSAGE, t);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void error(Throwable t) {
        error(EXCEPTION_MESSAGE, t);
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel level, String msg, Throwable cause) {
        int i = AnonymousClass1.$SwitchMap$io$netty$util$internal$logging$InternalLogLevel[level.ordinal()];
        if (i == 1) {
            trace(msg, cause);
        } else if (i == 2) {
            debug(msg, cause);
        } else if (i == 3) {
            info(msg, cause);
        } else if (i == 4) {
            warn(msg, cause);
        } else if (i == 5) {
            error(msg, cause);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel level, Throwable cause) {
        int i = AnonymousClass1.$SwitchMap$io$netty$util$internal$logging$InternalLogLevel[level.ordinal()];
        if (i == 1) {
            trace(cause);
        } else if (i == 2) {
            debug(cause);
        } else if (i == 3) {
            info(cause);
        } else if (i == 4) {
            warn(cause);
        } else if (i == 5) {
            error(cause);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel level, String msg) {
        int i = AnonymousClass1.$SwitchMap$io$netty$util$internal$logging$InternalLogLevel[level.ordinal()];
        if (i == 1) {
            trace(msg);
        } else if (i == 2) {
            debug(msg);
        } else if (i == 3) {
            info(msg);
        } else if (i == 4) {
            warn(msg);
        } else if (i == 5) {
            error(msg);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel level, String format, Object arg) {
        int i = AnonymousClass1.$SwitchMap$io$netty$util$internal$logging$InternalLogLevel[level.ordinal()];
        if (i == 1) {
            trace(format, arg);
        } else if (i == 2) {
            debug(format, arg);
        } else if (i == 3) {
            info(format, arg);
        } else if (i == 4) {
            warn(format, arg);
        } else if (i == 5) {
            error(format, arg);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel level, String format, Object argA, Object argB) {
        int i = AnonymousClass1.$SwitchMap$io$netty$util$internal$logging$InternalLogLevel[level.ordinal()];
        if (i == 1) {
            trace(format, argA, argB);
        } else if (i == 2) {
            debug(format, argA, argB);
        } else if (i == 3) {
            info(format, argA, argB);
        } else if (i == 4) {
            warn(format, argA, argB);
        } else if (i == 5) {
            error(format, argA, argB);
        } else {
            throw new Error();
        }
    }

    @Override // io.netty.util.internal.logging.InternalLogger
    public void log(InternalLogLevel level, String format, Object... arguments) {
        int i = AnonymousClass1.$SwitchMap$io$netty$util$internal$logging$InternalLogLevel[level.ordinal()];
        if (i == 1) {
            trace(format, arguments);
        } else if (i == 2) {
            debug(format, arguments);
        } else if (i == 3) {
            info(format, arguments);
        } else if (i == 4) {
            warn(format, arguments);
        } else if (i == 5) {
            error(format, arguments);
        } else {
            throw new Error();
        }
    }

    protected Object readResolve() throws ObjectStreamException {
        return InternalLoggerFactory.getInstance(name());
    }

    public String toString() {
        return StringUtil.simpleClassName(this) + '(' + name() + ')';
    }
}
