package io.netty.util.internal.shaded.org.jctools.queues.atomic;

import java.util.concurrent.atomic.AtomicReferenceArray;
/* loaded from: classes.dex */
final class LinkedAtomicArrayQueueUtil {
    private LinkedAtomicArrayQueueUtil() {
    }

    public static <E> E lvElement(AtomicReferenceArray<E> buffer, int offset) {
        return (E) AtomicReferenceArrayQueue.lvElement(buffer, offset);
    }

    public static <E> E lpElement(AtomicReferenceArray<E> buffer, int offset) {
        return (E) AtomicReferenceArrayQueue.lpElement(buffer, offset);
    }

    public static <E> void spElement(AtomicReferenceArray<E> buffer, int offset, E value) {
        AtomicReferenceArrayQueue.spElement(buffer, offset, value);
    }

    public static <E> void svElement(AtomicReferenceArray<E> buffer, int offset, E value) {
        AtomicReferenceArrayQueue.svElement(buffer, offset, value);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static <E> void soElement(AtomicReferenceArray buffer, int offset, Object value) {
        buffer.lazySet(offset, value);
    }

    static int calcElementOffset(long index, long mask) {
        return (int) (index & mask);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static <E> AtomicReferenceArray<E> allocate(int capacity) {
        return new AtomicReferenceArray<>(capacity);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static int length(AtomicReferenceArray<?> buf) {
        return buf.length();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static int modifiedCalcElementOffset(long index, long mask) {
        return ((int) (index & mask)) >> 1;
    }

    static int nextArrayOffset(AtomicReferenceArray<?> curr) {
        return length(curr) - 1;
    }
}
